<script lang="ts">
  import { getContext } from 'svelte'
  import { CharacterDataAccessor } from '../../module/model/character.js'
  import { Writable } from 'svelte/store'

  let doc = getContext<Writable<CharacterDataAccessor>>('doc')
  $: wounds = $doc.countWounds()
</script>

<div data-testid="wounds" class="wounds">
  <!-- svelte-ignore a11y-click-events-have-key-events a11y-no-static-element-interactions a11y-missing-attribute -->
  <a on:click={() => $doc.addWound()} data-testid="add-wound">
    <i class="fas fa-plus"></i>
  </a>
  <i class="fas fa-droplet counter" data-testid="wound-count">{wounds}</i>
  <!-- svelte-ignore a11y-click-events-have-key-events a11y-no-static-element-interactions a11y-missing-attribute -->
  <a on:click={() => $doc.removeWound()} data-testid="remove-wound">
    <i class="fas fa-minus"></i>
  </a>
</div>

<style>
  .wounds {
    padding-top: 10px;
    text-align: center;
    font-size: x-large;
  }
  .counter {
    margin-left: 5px;
    margin-right: 5px;
  }
</style>
